Bug 1008528 - tgtd: pass-through. Initiator does not find any LUN from target.
tgtd: pass-through. Initiator does not find any LUN from target.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: scsi-target-utils (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 10:31 EDT by Bruno Goncalves
Modified: 2015-10-09 08:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 08:47:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Goncalves 2013-09-16 10:31:56 EDT
Description of problem:

Login to a target using the configuration below does not provide any new LUN

default-driver iscsi
<target iqn.2009-10.com.redhat:storage-1>
    write-cache off
    allow-in-use yes
    <backing-store /dev/sdb>
        scsi_sn 1459111
        scsi_id 1459111
        lun 1
        bs-type rdwr
        device-type pt
    </backing-store>
</target>


Version-Release number of selected component (if applicable):
scsi-target-utils-1.0.24-10.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.modprobe scsi_debug ptype=0 num_parts=1 dev_size_mb=40
new device is sdb

2.Create a /etc/tgt/targets.conf as defined above.

3.service tgtd start

4.iscsiadm -m discovery -I default -p 127.0.0.1 -t st
Starting iscsid: [  OK  ]
[  OK  ]
127.0.0.1:3260,1 iqn.2009-10.com.redhat:storage-1

5. iscsiadm -m node -l

6.lsscsi -g
[0:0:0:0]    disk    ATA      ST500NM0011      BB43  /dev/sda   /dev/sg0
[11:0:0:0]   disk    Linux    scsi_debug       0004  /dev/sdb   /dev/sg1
[12:0:0:0]   storage IET      Controller       0001  -         /dev/sg2
Actual results:


Expected results:
A new LUN on the server.
Comment 2 RHEL Product and Program Management 2013-10-13 22:09:59 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Bruno Goncalves 2015-10-09 08:47:38 EDT
The configuration from the description is not valid.

We should not be able to use bs-type rdwr and device-type pt. See BZ#1008528.

On RHEL-6.7 an error is returned when using this invalid config.

scsi-target-utils-1.0.24-16.el6.x86_64

# service tgtd start
Starting SCSI target daemon: [  OK  ]
tgtadm: invalid request
Command:
	tgtadm -C 0 --lld iscsi --op new --mode logicalunit --tid 1 --lun 1 -b /dev/sdb --device-type pt --bstype rdwr 
exited with code: 22.

Note You need to log in before you can comment on or make changes to this bug.